CREATE TABLE [C6StagingPeriodico].[CATITEMREF] (
	[OID$] varchar(35) NOT NULL,
	[VERSION$] numeric(19,0) NULL,
	[PRODUCTCURRENCY] varchar(3) NULL,
	[PRODUCTCOUNTRY] varchar(35) NULL,
	[PRODUCTREGION] varchar(35) NULL,
	[CATALOGUEID] varchar(128) NOT NULL,
	[COD_ISIN] varchar(18) NULL,
	[COD_ADEGUATEZZA] varchar(18) NULL,
	[COD_MAF] varchar(18) NULL,
	[COD_INTERNO] varchar(18) NULL,
	[COD_SOTTOPRODOTTO] varchar(5) NULL,
	[TYPE$_BCATAL_FC317] varchar(256) NULL,
	[CATEGORY] varchar(20) NULL,
	[INSTITUTIONS] varchar(20) NULL,
	[COUNTRY] varchar(3) NULL,
	[PIAZZA] varchar(128) NULL,
	[ULTIMOPRZCURR] varchar(3) NULL,
	[ULTIMOPRZ] numeric(19,3) NULL,
	[CAPITALERISPARMIO] varchar(10) NULL,
	[LMINCAPCONTRCURR] varchar(3) NULL,
	[LMINCAPCONTR] numeric(19,3) NULL,
	[LSUCCAPCONTRCURR] varchar(3) NULL,
	[LSUCCAPCONTR] numeric(19,3) NULL,
	[LMINRISPCONTRCURR] varchar(3) NULL,
	[LMINRISPCONTR] numeric(19,3) NULL,
	[LSUCRISPCONTRCURR] varchar(3) NULL,
	[LSUCRISPCONTR] numeric(19,3) NULL,
	[LMINCOMMCURR] varchar(3) NULL,
	[LMINCOMM] numeric(19,3) NULL,
	[DELEGAGESTIONALE] varchar(128) NULL,
	[TIPOLOGIAPERPICK] varchar(10) NULL,
	[EXPIRATIONDATE] datetime NULL,
	[RISKPRICE] varchar(10) NULL,
	[FISCALREGIMENT] varchar(10) NULL,
	[QUOTATO] varchar(10) NULL,
	[CLASSEDIPREZZO] varchar(10) NULL,
	[BONDRATING] varchar(128) NULL,
	[BONDDURATION] varchar(128) NULL,
	[TEMPMIN] varchar(128) NULL,
	[TEMPMAX] varchar(128) NULL,
	[PRIPRODCOM] varchar(128) NULL,
	[MAINASSETCLASS] varchar(2) NULL,
	[MACROACOBPERC] numeric(19,7) NULL,
	[MACROACALPERC] numeric(19,7) NULL,
	[MACROACAZPERC] numeric(19,7) NULL,
	[MACROACMNPERC] numeric(19,7) NULL,
	[LINEEFINACC] varchar(128) NULL,
	[TIPOVERS] varchar(35) NULL,
	[TIPOPOLIZRAM1] varchar(35) NULL,
	[DURATACONTR] varchar(128) NULL,
	[GARDEMO] varchar(35) NULL,
	[RISKPRESSCAD] varchar(35) NULL,
	[LIVFLUTDUR] varchar(10) NULL,
	[OPZRENDVIT] numeric(1,0) NULL,
	[METAA] varchar(128) NULL,
	[METAB] varchar(128) NULL,
	[METAC] varchar(128) NULL,
	[RATOBBLIG] varchar(128) NULL,
	[ULTIMOPREZZOCURR] varchar(3) NULL,
	[ULTIMOPREZZO] numeric(19,3) NULL,
	[DATARIFPREZZO] datetime NULL,
	[CODICEADB] varchar(128) NULL,
	[AGGIORNFEED] varchar(128) NULL,
	[DISTRPROV] varchar(128) NULL,
	[CODTIPOCONTR] varchar(128) NULL,
	[ULTPRZSECCURR] varchar(3) NULL,
	[ULTPRZSEC] numeric(19,3) NULL,
	[DATAULTPRZSEC] datetime NULL,
	[CODBLOOMBERG] varchar(128) NULL,
	[DENOMUNITLNK] varchar(128) NULL,
	[TIPOPRODOTTO] varchar(20) NULL,
	[GENERICDATA] datetime NULL,
	[GENERICCURCURR] varchar(3) NULL,
	[GENERICCUR] numeric(19,3) NULL,
	[GENERICSTRING1] varchar(128) NULL,
	[GENERICSTRING2] varchar(128) NULL,
	[CATALOGUENAME] varchar(128) NULL,
	[EFFECTIVEFROM] datetime NULL,
	[EFFECTIVETO] datetime NULL,
	[PRODUCTSTATUS] varchar(35) NULL,
	[ISVISIBLE] numeric(1,0) NULL,
	[ISNEGOTIABLE] numeric(1,0) NULL,
	[BRIEFDESCRIPTION] varchar(1024) NULL,
	[F_OID$_VAR_CDDF8] varchar(35) NULL,
	[RISKPROFOFSUITCLS] varchar(2048) NULL,
	[OPINION] varchar(35) NULL,
	[OPINIONDATE] datetime NULL,
	[F_OID$_CATAL_B3E14] varchar(35) NULL,
	[F_OID$_PCATE_F3BF6] varchar(35) NULL,
	[F_OID$_MAINA_76C35] varchar(35) NULL,
	[F_OID$_INSTR_B5526] varchar(35) NULL,
	[F_OID$_MAINS_5FCE5] varchar(35) NULL,
	[F_OID$_MAINR_08A23] varchar(35) NULL,
	[F_OID$_PRISK_AAC57] varchar(35) NULL,
	[F_OID$_PRODU_F8FBB] varchar(35) NULL,
	[F_OID$_MARKE_F3D2D] varchar(35) NULL,
	[COLL_SKANDIA] numeric(19,0) NULL,
	[CODASSETSAT] varchar(512) NULL,
	[STRTYPE] varchar(2) NULL,
	[CODEMI] varchar(13) NULL,
	[COMPLEX] numeric(2,0) NULL,
	[TIP_EMITTENTE] varchar(35) NULL,
	[TIP_TASSO] varchar(35) NULL
)
ALTER TABLE [C6StagingPeriodico].[CATITEMREF] ADD CONSTRAINT [PK_CATITEMREF_1] PRIMARY KEY CLUSTERED ([OID$],[CATALOGUEID])
GO